Bug 191091 - ipmitool: type conversion bug in ipmi_pef.c (x86_64)
ipmitool: type conversion bug in ipmi_pef.c (x86_64)
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: OpenIPMI (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-08 15:29 EDT by jordan hargrave
Modified: 2015-03-04 20:16 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-16 06:07:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for ipmi_pef to fix type conversion bug (1.05 KB, patch)
2006-05-08 15:31 EDT, jordan hargrave
no flags Details | Diff

  None (edit)
Description jordan hargrave 2006-05-08 15:29:42 EDT
Description of problem:
 In the ipmitool utility, ipmi_pef.c has a type conversion bug when reading the
timestamp.  The timestamp is a 32-bit value, but on 64-bit systems it is
misread as a 64-bit value.  This can potentially cause a segfault when passed
to localtime/strftime.

In the ipmitool utility, ipmi_pef.c has a type conversion bug when reading the
timestamp.  The timestamp is a 32-bit value, but on 64-bit systems it is
misread as a 64-bit value.  This can potentially cause a segfault when passed
to localtime/strftime.

Version-Release number of selected component (if applicable):
OpenIPMI-tools-1.4.14-1.4E.12.x86_64.rpm

How reproducible:
Always

Steps to Reproduce:
1. Install OpenIPMI & OpenIPMI-tools RPMS on a x86_64 system
2. Run 'ipmitool -v pef status'
  
Actual results:
Utility may either crash, or display invalid date.

Expected results:
System displays correct timestamp.

Additional info:
IssueTracker:#93254
Comment 1 jordan hargrave 2006-05-08 15:31:08 EDT
Created attachment 128760 [details]
Patch for ipmi_pef to fix type conversion bug
Comment 2 Phil Knirsch 2006-05-16 06:07:09 EDT
Included in latest rawhide package.

Thanks for the fix, please submit this fix upstream as well.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.